import { getSelectionRange } from './utils'

const EMPTY_RECT = {
  x: 0,
  y: 0,
  left: 0,
  top: 0,
  right: 0,
  bottom: 0,
  width: 0,
  height: 0
}

export default {
  getBoundingClientRect () {
    const range = getSelectionRange()
    if (range) {
      return range.getBoundingClientRect()
    } else {
      return EMPTY_RECT
    }
  },

  get clientHeight () {
    const range = getSelectionRange()
    if (range) {
      return range.getBoundingClientRect().height
    } else {
      return 0
    }
  },

  get clientWidth () {
    const range = getSelectionRange()
    if (range) {
      return range.getBoundingClientRect().width
    } else {
      return 0
    }
  }
}
